<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:xalan="http://xml.apache.org/xalan"
                   exclude-result-prefixes="xalan" xmlns:nk="http://1060.org">
	<xsl:output method="xml" omit-xml-declaration="yes"/>
   
   	<xsl:param name="hash" nk:class="java.lang.String"/>

	<xsl:param name="space" nk:class="java.lang.String"/>
	<xsl:param name="version" nk:class="java.lang.String"/>
			 
	<xsl:template match="/active">
		<div class="metabox">
			<h2>Resource Identifier Syntax</h2>
			<table cellspacing="0" cellpadding="0">
			<tr>
			<td>
				<xsl:if test="verb">
					<xsl:for-each select="verb">
					<b style="padding-right: 3px;"><xsl:value-of select="."/> </b>
					</xsl:for-each>
					</xsl:if>
				<b style="margin-left: 10px;"><xsl:value-of select="base"/></b>
			</td>
			</tr>
			<xsl:for-each select="arg">
				<tr>
				<td/>
				<td>
				+ <b>
				<xsl:choose>
				<xsl:when test="@multi">
				&lt; <xsl:value-of select="name"/> &gt;
				</xsl:when>
				<xsl:otherwise>
					<xsl:value-of select="name"/>
				</xsl:otherwise>
				</xsl:choose>
				</b> @ [ <xsl:value-of select="value"/> ]
				<xsl:if test="@optional"><sup>*</sup></xsl:if>
				</td>
				</tr>
			</xsl:for-each>
			</table>
		</div>
	</xsl:template>
		
</xsl:stylesheet>
