package org.netkernel.doc.endpoint;

import org.netkernel.layer0.nkf.INKFRequestContext;
import org.netkernel.layer0.representation.IHDSNode;
import org.netkernel.layer0.representation.IHDSNodeList;
import org.netkernel.layer0.representation.impl.HDSBuilder;
import org.netkernel.module.standard.endpoint.StandardAccessorImpl;

public class DocSearchResolverEndpoint extends StandardAccessorImpl
{
	public DocSearchResolverEndpoint()
	{	this.declareThreadSafe();
	}

	@Override
	public void onSource(INKFRequestContext context) throws Exception
	{	
		String documentID=context.getThisRequest().getArgumentValue("documentID");
		String resolved="/doc/view/"+documentID;
		context.createResponseFrom(resolved);
	}
	
	
}
